Get all price adjustment details for a specific cart - Fabric
Get all price adjustment details for a specific cart
cURL
curl --request GET \
--url https://prod.cart.fabric.inc/v2/carts/{cartId}/adjustments \
--header 'Authorization: <authorization>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod.cart.fabric.inc/v2/carts/{cartId}/adjustments"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};
fetch('https://prod.cart.fabric.inc/v2/carts/{cartId}/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
- 200: OK
- 400: Bad Request
- 404: Not Found
- 500: Internal Server Error
Sample JSON Response
{
"priceAdjustments": [
{
"id": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
"reason": "compensation for delay",
"amount": 20,
"attributes": {
"goldMember": [
false
]
}
}
]
}
Example Error Responses
Bad Request:
{
"code": "Bad Request",
"message": "User ID or Cart ID does not exist"
}
Cart not found:
{
"code": "Cart or item not found",
"message": "If the issue persists please contact support@fabric.inc."
}
Internal Server Error:
{
"code": "Internal Server Error",
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Required Headers
- x-site-context: A JSON object with detailed source information.
- Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
- Example:
- Authorization: Bearer token for user authentication.
- Example:
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
- Example:
Path Parameters
- cartId: String required to identify the cart.
- Example:
"d7e78a21-bee3-4448-bf1c-d5b5461dbda2"
- Example:
Response Documentation
- Price Adjustments: Details of adjustments for the specified cart or item.